Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.aggregate
Class DoubleValueSum

    java.lang.Object
      org.apache.hadoop.mapreduce.lib.aggregate.DoubleValueSum

All Implemented Interfaces:
  ValueAggregator<String>

Direct Known Subclasses:
  DoubleValueSum

    @InterfaceAudience.Public
    @InterfaceStability.Stable
    public class DoubleValueSum

extends Object
implements ValueAggregator<String>

This class implements a value aggregator that sums up a sequence of double values.

Constructor Summary
`DoubleValueSum()` The default constructor

Method Summary
`void` | `addNextValue(double val)` add a value to the aggregator
`void` | `addNextValue(Object val)` add a value to the aggregator
`ArrayList<String>` | `getCombinerOutput()`
`String` | `getReport()`
`double` | `getSum()`
`void` | `reset()` reset the aggregator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleValueSum

    public DoubleValueSum()

  The default constructor

Method Detail

### addNextValue

    public void addNextValue(Object val)

  add a value to the aggregator

  Specified by:
    `addNextValue` in interface `ValueAggregator<String>`
  Parameters:
    `val` - an object whose string representation represents a double value.

### addNextValue

    public void addNextValue(double val)

  add a value to the aggregator

  Parameters:
    `val` - a double value.

### getReport

    public String getReport()

  Specified by:
    `getReport` in interface `ValueAggregator<String>`
  Returns:
    the string representation of the aggregated value

### getSum

    public double getSum()

  Returns:
    the aggregated value

### reset

    public void reset()

  reset the aggregator

  Specified by:
    `reset` in interface `ValueAggregator<String>`

### getCombinerOutput

    public ArrayList<String> getCombinerOutput()

  Specified by:
    `getCombinerOutput` in interface `ValueAggregator<String>`
  Returns:
    return an array of one element. The element is a string representation of the aggregated value. The return value is expected to be used by the a combiner.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Apache Software Foundation. All Rights Reserved.